#include <fstream>

using namespace std;

ifstream input("Noixich.inp");
ofstream output("Noixich.out");

int main()
{
	int n;
	int res;
	input >> n;
	if (n % 2 == 0)
	{
		res = n / 2;
	}
	else
	{
		res = n / 2;
		res++;
	}
	output << res;
	input.close();
	output.close();
	return 0;
}